petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSMonitorDrawSolution

Monitors progress of the TS solvers by calling VecView() for the solution at each timestep

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorDrawSolution(TS ts,PetscInt step,PetscReal ptime,Vec u,void *dummy)

Collective on TS

### Input Parameters

| ts | - the TS context
| step | - current time-step
| ptime | - current time
| dummy | - either a viewer or NULL

### Options Database

-ts_monitor_draw_solution_initial -show initial solution as well as current solution

### Notes

the initial solution and current solution are not display with a common axis scaling so generally the option -ts_monitor_draw_solution_initial will look bad

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView()

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages